<?php
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/Modules.class.php");
	
	
	class Compat14 extends PluginsClassiques{

		function Compat14(){
			parent::__construct();	
		}
		
		function init(){
			$mod = new Modules();
			$mod->charger("compat14");
			$mod->classement = -1;
			$mod->maj();
		}
		
		function action(){
			// On transforme le template sortie en UTF-8
			global $res;
			$res = str_replace("iso-8859-1", "utf-8", $res);
			$res = utf8_encode($res);
		}
	
		function redirige(&$url){
			$urlsite = new Variable();
			$urlsite->charger("urlsite");

			switch($url){
			
				case $urlsite->valeur ."/?fond=connexion&errconnex=1" : $url="connexion.php?errconnex=1"; break;
				case $urlsite->valeur ."/?fond=adresse" : $url="adresse.php"; break;
				case $urlsite->valeur ."/?fond=formulerr&errform=1" : $url="formulerr.php&errform=1"; break;
				case $urlsite->valeur ."/?fond=compte_modifiererr&errform=1" : $url="compte_modifiererr.php&errform=1"; break;
				case $urlsite->valeur ."/?fond=mdperreur" : $url="mdperreur.php"; break;
				case $urlsite->valeur ."/?fond=connexion" : $url="connexion.php"; break;
				case $urlsite->valeur ."/?fond=commande" : $url="commande.php"; break;
			}

		}

	
		function varfond($varFond){
			global $fond, $pageret, $securise, $nopagret, $reset, $panier, $transport, $obligetelfixe, $obligetelport;

			// Les variables du ".php" seront chargées dans le moteur car le template html n'en comporte pas.
			// 
		
			// Si nous sommes une adresse réecrite, il va falloir appeler les variables du .php
			if(isset($_REQUEST['url']) && $_REQUEST['url'] != ""){
				// Sauvegarde du fond qui sera modifié
				$saveFond = $fond;
				
				preg_match("/fond=([^&]*)/", $_SERVER['QUERY_STRING'], $cut);
				$contenu = file_get_contents($fond . ".php");
				$contenu = str_replace("include(\"fonctions/moteur.php\");", "", $contenu);
				$contenu = str_replace("<?php", "", $contenu);
           	 	$contenu = str_replace("?>", "", $contenu);		
           	 	
           		eval($contenu);
           		
           		$fond = $saveFond;

			}



			// Page retour
			if($_SERVER['QUERY_STRING']) $qpt="?"; else $qpt="";

			
			if($pageret == 1){
				$urlsite = new Variable("urlsite");

				// Page retour
				if($pageret && isset($_SERVER['HTTP_REFERER'])) $_SESSION["navig"]->urlpageret =  $_SERVER['PHP_SELF'] . $qpt . $_SERVER['QUERY_STRING'];
				else if($_SESSION["navig"]->urlpageret=="") $_SESSION["navig"]->urlpageret = "index.php";
					
			}
					
			$pageret = 0;
			$nopageret = 1;
		}	
		function post(){
            global $res;
			$res = str_replace("href=\"\"", "href=\"index.php\"", $res);
			
			// point d'entrée de redirection
			
			$res = preg_replace("/\?fond=([a-z]*)&amp;/", "$1.php?", $res);
			$res = preg_replace("/\?fond=([a-z]*)/", "$1.php", $res);

		}
		
	}


?>
